Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficRangeSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.inet.common.bean.TrafficRangeSpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TrafficRangeSpec extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficRangeSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `long`
  `getMaxAmount()`
  `int`
  `getMaxAmountType()`
  `int`
  `getMode()`
  `int`
  `getTariffOptionId()`
  `String`
  `getTitleForCustomer()`
  `int`
  `getType()`
  `boolean`
  `isTariffOptionDeactivate()`
  `void`
  `setComment(String comment)`
  `void`
  `setMaxAmount(long maxAmount)`
  `void`
  `setMaxAmountType(int maxAmountType)`
  `void`
  `setMode(int mode)`
  `void`
  `setTariffOptionDeactivate(boolean tariffOptionDeactivate)`
  `void`
  `setTariffOptionId(int tariffOptionId)`
  `void`
  `setTitleForCustomer(String titleForCustomer)`
  `void`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TrafficRangeSpec

    public TrafficRangeSpec()

- ## Method Details

  - ### getTitleForCustomer

    public String getTitleForCustomer()

  - ### setTitleForCustomer

    public void setTitleForCustomer(String titleForCustomer)

  - ### getMode

    public int getMode()

  - ### setMode

    public void setMode(int mode)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getTariffOptionId

    public int getTariffOptionId()

  - ### setTariffOptionId

    public void setTariffOptionId(int tariffOptionId)

  - ### getMaxAmountType

    public int getMaxAmountType()

  - ### setMaxAmountType

    public void setMaxAmountType(int maxAmountType)

  - ### getMaxAmount

    public long getMaxAmount()

  - ### setMaxAmount

    public void setMaxAmount(long maxAmount)

  - ### isTariffOptionDeactivate

    public boolean isTariffOptionDeactivate()

  - ### setTariffOptionDeactivate

    public void setTariffOptionDeactivate(boolean tariffOptionDeactivate)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)